org.apache.hadoop.yarn.nodelabels.store.op

## Class NodeAttributeMirrorOp

- java.lang.Object
- - org.apache.hadoop.yarn.nodelabels.store.op.FSNodeStoreLogOp<NodeAttributesManager>
  - - org.apache.hadoop.yarn.nodelabels.store.op.NodeAttributeMirrorOp

- All Implemented Interfaces:
    StoreOp<OutputStream,InputStream,NodeAttributesManager>

      public class NodeAttributeMirrorOp
      extends FSNodeStoreLogOp<NodeAttributesManager>

  File System Node Attribute Mirror read and write operation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeAttributeMirrorOp()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOpCode()`
    `void` | `recover(InputStream is, NodeAttributesManager mgr)` Read and populate StoreOp.
    `void` | `write(OutputStream os, NodeAttributesManager mgr)` Write operation to persistent storage.

    - ### Methods inherited from class org.apache.hadoop.yarn.nodelabels.store.op.FSNodeStoreLogOp

      `getNodeToAttributesMap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeAttributeMirrorOp

          public NodeAttributeMirrorOp()

  - ### Method Detail

    - #### write

          public void write(OutputStream os,
                            NodeAttributesManager mgr)
                     throws IOException

      Description copied from interface: `StoreOp`
      Write operation to persistent storage.
      Parameters:
        `os` - write to be done to
        `mgr` - manager used by store
      Throws:
        `IOException`

    - #### recover

          public void recover(InputStream is,
                              NodeAttributesManager mgr)
                       throws IOException

      Description copied from interface: `StoreOp`
      Read and populate StoreOp.
      Parameters:
        `is` - read to be done from
        `mgr` - manager used by store
      Throws:
        `IOException`

    - #### getOpCode

          public int getOpCode()

      Specified by:
        `getOpCode` in class `FSNodeStoreLogOp<NodeAttributesManager>`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.